SpriteLibrary
SpriteLibrary
SpriteLibrary
Sprite Class
Sprite Methods
AddAnimation Method
AddAnimation Method (Image)
AddAnimation Method (Image, Size)
AddAnimation Method (Image, Int32)
AddAnimation Method (Int32, Int32)
AddAnimation Method (Image, Int32, Int32)
AddAnimation Method (Int32, Boolean, Boolean)
AddAnimation Method (Image, Int32, Int32, Int32)
AddAnimation Method (Point, Image, Int32, Int32, Int32, Int32)

# Sprite AddAnimation Method (Int32, Boolean, Boolean)

Duplicate an animation, except rotated by the specified number of degrees. For example, if you have a single animation (0), and you want to rotate it by 90 degrees, it will create animation 1 with that rotation to it. In the long haul, generating a few rotated animations is less memory intensive than rotating it on demand using the MirrorHorizontally or MirrorVertically booleans.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.6 (1.0.0.6)
Syntax
C#
Copy

    public void AddAnimation(
    	int AnimationToCopy,
    	bool MirrorHorizontal,
    	bool MirrorVertical
    )

#### Parameters

AnimationToCopy
  Type: System
  Int32
  An integer value specifying the animation to duplicate
MirrorHorizontal
  Type: System
  Boolean
  A boolean, stating if we should mirror horizontally
MirrorVertical
  Type: System
  Boolean
  A boolean, stating if we should mirror vertically

See Also

#### Reference

Sprite Class
AddAnimation Overload
SpriteLibrary Namespace